console提示JQMIGRATE: Migrate is installed解决办法

WordPress假设的网站,打开console普遍会提示一段话。

JQMIGRATE: Migrate is installed解决办法, version x.x.x(版本)

搜索一下,网上的文章基本都是千遍一律抄来抄去。普遍的答案都是:

查找之后发现,是网站所用的jquery库版本使用了1.9以下的版本,版本太低所致。
移除通知的唯一方法是确保所有插件/主题代码不依赖于任何旧jQuery功能,然后删除迁移脚本。

或者是:

jquery migrate就是如果网站用了jquery 1.9之前的jquery 。现在要用新的插件(基于jquery1.9之后的) 那么就需要用到jquery migrate。

2022111703173019
2022111703173019

听君一席话,如听一席话。说了白说。

这个问题其实是因为WordPress 使用 jQuery 迁移来确保其他网站可能使用的任何插件或主题的向后兼容性,这些插件有可能使用的是最新的jquery或者是比较老的jQuery。

此消息不是任何错误,而只是让你知道就你网站而言某些插件可能依赖于较旧的 jQuery 功能。删除此”通知”的唯一方法是确保您的所有插件/主题代码不依赖于任何旧的 jQuery 方法或类。(但通常你难以排查)

所以,我不建议尝试删除此通知,因为它不是 WordPress 的最佳做法。

官方答复也是不建议删除。简单来说,就是不要理就行了。

历史上的今天

2016年:WinRAR 去弹窗方法(0条评论)

2014年:MySQL禁用InnoDB的真正方法(0条评论)

2014年:如何在windows server 2008的桌面上显示 我的电脑 我的文档 网上邻居?(0条评论)

本文来源 尺素书,经授权后发布,本文观点不代表 Mr.xu 博客网 立场,转载请联系原作者。

(0)
打赏 微信扫一扫赞赏 微信扫一扫赞赏 支付宝扫一扫赞赏 支付宝扫一扫赞赏
上一篇 2022年11月15日 09:24
下一篇 2022年11月23日 10:40

相关推荐

发表回复

登录后才能评论

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据

笔者期待与您共勉 · 互赢

有言必答、商务合作、有偿服务

QQ:244439232

邮件:it@xuxiaokun.com

线上沟通:周一至周五 9:30 - 17:30

其余时间Mail或QQ我,有言必应。

244439232

如内容或项目对您或有帮助,为提升网站质量能更好的体现,也便于学习与交流,不妨请博主喝杯咖啡呢。